Subject: Re: bug#21827: Large file support

From: Eric Blake <[email-masked]>
Date: Thu, 5 Nov 2015 17:14:53 -0700

On 11/05/2015 04:05 PM, Paul Eggert wrote:
> On 11/04/2015 05:07 AM, Michael Brunnbauer wrote:
>> Any ideas what could be going wrong?
> 
> It appears you've run afoul of glibc bug#18781.
> 
> https://sourceware.org/bugzilla/show_bug.cgi?id=18781
> 
> Yeowch.  If I'm right, that's a serious glibc bug that will break a lot
> of programs, not just grep.  I don't offhand see a way to work around it
> easily on Gnulib.

Can't we probe for the existence of openat64(), and then probe whether
the bug exists, and if so, replace openat() for that platform?

> 
> The bug was introduced on 2015-06-04 and fixed on 2015-08-10 in glibc.

I guess it depends on whether we think these flawed versions are common
in the wild, or whether vendors have patched the major distros and only
self-built glibc remains vulnerable, on whether it is worth our effort.

-- 
Eric Blake   eblake redhat com    +1-919-301-3266
Libvirt virtualization library http://libvirt.org